/*
 * @file hv_vos_Stdio.h
 * @brief Header file of stdio.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use ()
 *
 * @endverbatim
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-03-01
 */



#ifndef _HV_VOS_STDIO_H
#define _HV_VOS_STDIO_H

VOS_EXTERN_C_BEGIN

/** @defgroup VOS_STDIO VOS_STDIO
 *  VOS memory pool routines
 *  @{
 */

void Hv_Vos_InitStdio();

int Hv_Vos_STDIO_GetChar(char* ch);

void Hv_Vos_STDIO_PutChar(int ch);

int Hv_Vos_STDIO_KBHit(void);

void Hv_Vos_STDIO_FFlush();

void Hv_Vos_CleanupStdio();

/** @} */

VOS_EXTERN_C_END

#endif



